package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecPvSupplyH;
import com.ruoyi.ems.model.QueryIndex;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 光伏并网计量光伏并网计量-小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-02
 */
public interface ElecPvSupplyHMapper {
    /**
     * 查询光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 光伏并网计量光伏并网计量-小时
     */
    ElecPvSupplyH selectPvSupplyHById(Long id);

    /**
     * 查询光伏并网计量光伏并网计量-小时列表
     *
     * @param pvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 光伏并网计量光伏并网计量-小时集合
     */
    List<ElecPvSupplyH> selectPvSupplyHList(ElecPvSupplyH pvSupplyH);

    List<ElecPvSupplyH> selectPvSupplyHAll(ElecPvSupplyH pvSupplyH);

    List<ElecPvSupplyH> selectPvSupplyDayList(QueryIndex queryIndex);

    Map<String, Object> calThisDayPv(@Param("thisDay") String thisDay);

    @MapKey("timeIndex")
    Map<String, Map<String, Object>> calThisDayPvByH(@Param("thisDay") String thisDay);

    /**
     * 新增光伏并网计量光伏并网计量-小时
     *
     * @param pvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    int insertPvSupplyH(ElecPvSupplyH pvSupplyH);

    /**
     * 修改光伏并网计量光伏并网计量-小时
     *
     * @param pvSupplyH 光伏并网计量光伏并网计量-小时
     * @return 结果
     */
    int updatePvSupplyH(ElecPvSupplyH pvSupplyH);

    /**
     * 删除光伏并网计量光伏并网计量-小时
     *
     * @param id 光伏并网计量光伏并网计量-小时主键
     * @return 结果
     */
    int deletePvSupplyHById(Long id);

    /**
     * 批量删除光伏并网计量光伏并网计量-小时
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deletePvSupplyHByIds(Long[] ids);
}
